EXIF library (libexif) API 0.6.24

Enumerations | Functions
exif-byte-order.h File Reference

Defines the ExifByteOrder enum and the associated functions. More...

Go to the source code of this file.

## Enumerations
enum | ExifByteOrder { EXIF_BYTE_ORDER_MOTOROLA , EXIF_BYTE_ORDER_INTEL }
| Which byte order to use. More...

## Functions
const char * | exif_byte_order_get_name (ExifByteOrder order)
| Return a short, localized, textual name for the given byte order. More...

## Detailed Description

Defines the ExifByteOrder enum and the associated functions.

## Enumeration Type Documentation

## ◆ ExifByteOrder

enum ExifByteOrder

Which byte order to use.

Enumerator
EXIF_BYTE_ORDER_MOTOROLA | Big-endian byte order.
EXIF_BYTE_ORDER_INTEL | Little-endian byte order.

## Function Documentation

## ◆ exif_byte_order_get_name()

const char * exif_byte_order_get_name | ( | ExifByteOrder | order | ) |

Return a short, localized, textual name for the given byte order.

Parameters

  [in] | order | byte order

Returns
  localized textual name of the byte order, or NULL if unknown

References EXIF_BYTE_ORDER_INTEL, and EXIF_BYTE_ORDER_MOTOROLA.